<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer3: X:/kmTimer3.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">kmTimer3
   </div>
   <div id="projectbrief">kmTimer3 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('km_timer3_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">X:/kmTimer3.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="km_timer3_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#ifndef KM_TIMER_3_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#define KM_TIMER_3_H_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#ifdef KM_DOXYGEN</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#define TIMSK3</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#define COM3C0</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#ifdef TIMSK3</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#include &quot;../kmTimersCommon/kmTimerDefs.h&quot;</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="km_timer3_8h.html#a0c687e25a72ece784c92e9081db54385">   52</a></span>&#160;<span class="preprocessor">#define KM_TIMER3_USER_DATA(X) (void *)(X)</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="km_timer3_8h.html#af10d794eb2ba4bf1561559b3689f132c">   59</a></span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#af10d794eb2ba4bf1561559b3689f132c">kmTimer3CallbackType</a>(<span class="keywordtype">void</span> *);</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="km_timer3_8h.html#af038f515dc00a481348a1c12569d92cd">   66</a></span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#af038f515dc00a481348a1c12569d92cd">kmTimer3InpCaptureCallbackType</a>(uint16_t, <span class="keywordtype">bool</span>, <span class="keywordtype">void</span> *);</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8">   71</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a887a240a79ffd3a7ce3a20a394463814">   73</a></span>&#160;    <a class="code" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a887a240a79ffd3a7ce3a20a394463814">KM_TCC3_PWM_OUT_A</a>,</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a76ebd51b704f85a1957665ab71990ed6">   75</a></span>&#160;    <a class="code" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a76ebd51b704f85a1957665ab71990ed6">KM_TCC3_PWM_OUT_B</a>,</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <a class="code" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a8a2ba64c57c476365921a3a43f5076a4">KM_TCC3_PWM_OUT_C</a></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;} <a class="code" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8">Tcc3PwmOut</a>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#aa07ad3b23b1ff563cdf29538379c0db6">kmTimer3InitOnPrescalerBottomToTopOvfCompABCInterruptCallback</a>(<span class="keyword">const</span> uint8_t prescaler);</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a0f757a748e40dd4cfa7eb4dcf01ee5d8">kmTimer3InitOnAccuratePeriodGenerateOutputClockA</a>(<span class="keyword">const</span> uint32_t periodInMicroseconds);</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a05ac01f6edfc3cd077b3fb65d3ca5064">kmTimer3InitOnAccurateTimeCompAInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> <span class="keywordtype">bool</span> outOnOC3A);</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a7069d4889b4893af07c28ae25bdaff28">kmTimer3InitExternal</a>(<span class="keywordtype">bool</span> falling);</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a089e902646423f7092bb46009c047e63">kmTimer3InitOnAccurateTimeCompABInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, uint16_t phaseIntB);</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#ae79d03e778e20f76152f7c5a26cfe437">kmTimer3InitOnAccurateTimeFastPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;<span class="preprocessor">#else </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#ae79d03e778e20f76152f7c5a26cfe437">kmTimer3InitOnAccurateTimeFastPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;</div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#ab3ccff09f251e76300c5413133dc3f2f">kmTimer3InitOnAccurateTimePcPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;<span class="preprocessor">#else </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#ab3ccff09f251e76300c5413133dc3f2f">kmTimer3InitOnAccurateTimePcPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;</div><div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a18c5518e8b329f985f5c7d39196b2ba9">kmTimer3InitOnPrescalerBottomToTopFastPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;<span class="preprocessor">#else </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a18c5518e8b329f985f5c7d39196b2ba9">kmTimer3InitOnPrescalerBottomToTopFastPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;</div><div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a81c0e5c15529fb5c1fcee915f4b6db57">kmTimer3InitOnPrescalerBottomToTopPcPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;<span class="preprocessor">#else </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a81c0e5c15529fb5c1fcee915f4b6db57">kmTimer3InitOnPrescalerBottomToTopPcPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;</div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#aa06e2eeefecccb08ba1cc21ac3fe1130">kmTimer3InitInputCapture</a>(<span class="keyword">const</span> uint32_t iddleTimeMicroseconds,</div><div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;                            <span class="keywordtype">void</span> *iddleUserData, <a class="code" href="km_timer3_8h.html#af10d794eb2ba4bf1561559b3689f132c">kmTimer3CallbackType</a> *iddleCallback,</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;                            <span class="keywordtype">void</span> *inpCaptureUserData, <a class="code" href="km_timer3_8h.html#af038f515dc00a481348a1c12569d92cd">kmTimer3InpCaptureCallbackType</a> *inpCaptureCallback);</div><div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;</div><div class="line"><a name="l00426"></a><span class="lineno">  426</span>&#160;<span class="comment">// Setters callback user data</span></div><div class="line"><a name="l00437"></a><span class="lineno">  437</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a20c4cb8b4342edb5e7da959274f3d5a0">kmTimer3SetCallbackUserDataOVF</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00438"></a><span class="lineno">  438</span>&#160;</div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a408f0a62904c19cfac37ae3e7e171c2d">kmTimer3SetCallbackUserDataCompA</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;</div><div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#af1c6c404594c2ef0c4ba309851908131">kmTimer3SetCallbackUserDataCompB</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00462"></a><span class="lineno">  462</span>&#160;</div><div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00464"></a><span class="lineno">  464</span>&#160;</div><div class="line"><a name="l00474"></a><span class="lineno">  474</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a732907d4378591e4bc28bebfa19a42a6">kmTimer3SetCallbackUserDataCompC</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00475"></a><span class="lineno">  475</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00476"></a><span class="lineno">  476</span>&#160;</div><div class="line"><a name="l00477"></a><span class="lineno">  477</span>&#160;</div><div class="line"><a name="l00478"></a><span class="lineno">  478</span>&#160;<span class="comment">// Registering callbacks</span></div><div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00497"></a><span class="lineno">  497</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#abf76f8f4654946467f7eb560311ed8ae">kmTimer3RegisterCallbackOVF</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer3_8h.html#af10d794eb2ba4bf1561559b3689f132c">kmTimer3CallbackType</a> *callback);</div><div class="line"><a name="l00498"></a><span class="lineno">  498</span>&#160;</div><div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160;</div><div class="line"><a name="l00517"></a><span class="lineno">  517</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a236f332870d4621aeeab3ca3df8c4837">kmTimer3RegisterCallbackCompA</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer3_8h.html#af10d794eb2ba4bf1561559b3689f132c">kmTimer3CallbackType</a> *callback);</div><div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160;</div><div class="line"><a name="l00534"></a><span class="lineno">  534</span>&#160;</div><div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#ae6fa20e042fd11f332ffdee7ea7d8900">kmTimer3RegisterCallbackCompB</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer3_8h.html#af10d794eb2ba4bf1561559b3689f132c">kmTimer3CallbackType</a> *callback);</div><div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160;</div><div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160;</div><div class="line"><a name="l00555"></a><span class="lineno">  555</span>&#160;</div><div class="line"><a name="l00558"></a><span class="lineno">  558</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#af008feac2f0cac867798b6ee7fc07bab">kmTimer3RegisterCallbackCompC</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer3_8h.html#af10d794eb2ba4bf1561559b3689f132c">kmTimer3CallbackType</a> *callback);</div><div class="line"><a name="l00559"></a><span class="lineno">  559</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00560"></a><span class="lineno">  560</span>&#160;</div><div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a4e33120bb89361af7b7f99f43acb3bb2">kmTimer3RegisterCallbackInpCapture</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer3_8h.html#af038f515dc00a481348a1c12569d92cd">kmTimer3InpCaptureCallbackType</a> *callback);</div><div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;</div><div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;<span class="comment">// Unregistering callbacks</span></div><div class="line"><a name="l00569"></a><span class="lineno">  569</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#aad85ca4e2a5ddde776395d12c9912e01">kmTimer3UnregisterCallbackOVF</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00570"></a><span class="lineno">  570</span>&#160;</div><div class="line"><a name="l00574"></a><span class="lineno">  574</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#ad36f5f46aceb910a5474f0c3c1592ea9">kmTimer3UnregisterCallbackCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;</div><div class="line"><a name="l00579"></a><span class="lineno">  579</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#ae1ee7982d176020390f48e083d6ebd22">kmTimer3UnregisterCallbackCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00580"></a><span class="lineno">  580</span>&#160;</div><div class="line"><a name="l00581"></a><span class="lineno">  581</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00582"></a><span class="lineno">  582</span>&#160;</div><div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#af4e7af6f8b83a3cf8a5712d69c0e666e">kmTimer3UnregisterCallbackCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00586"></a><span class="lineno">  586</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00587"></a><span class="lineno">  587</span>&#160;</div><div class="line"><a name="l00591"></a><span class="lineno">  591</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#acd14889cffb2e47708ce2c86f7dcf995">kmTimer3UnregisterCallbackInpCapture</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00592"></a><span class="lineno">  592</span>&#160;</div><div class="line"><a name="l00593"></a><span class="lineno">  593</span>&#160;<span class="comment">// Enabling interrupts</span></div><div class="line"><a name="l00597"></a><span class="lineno">  597</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a1668cae52ed686f40c66a11eb50e4ca9">kmTimer3EnableInterruptOVF</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00598"></a><span class="lineno">  598</span>&#160;</div><div class="line"><a name="l00602"></a><span class="lineno">  602</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a56bbb4f1f7dc35b8a5bb56d8d183411e">kmTimer3EnableInterruptCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00603"></a><span class="lineno">  603</span>&#160;</div><div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#aba043e24e016ae3805373c40fbd98925">kmTimer3EnableInterruptCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00608"></a><span class="lineno">  608</span>&#160;</div><div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00610"></a><span class="lineno">  610</span>&#160;</div><div class="line"><a name="l00613"></a><span class="lineno">  613</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a9661bc4bf969a0a83e5b7c899e002814">kmTimer3EnableInterruptCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00614"></a><span class="lineno">  614</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160;</div><div class="line"><a name="l00630"></a><span class="lineno">  630</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a032f7886b471684501608a012a580b04">kmTimer3EnableInterruptInpCapture</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00631"></a><span class="lineno">  631</span>&#160;</div><div class="line"><a name="l00632"></a><span class="lineno">  632</span>&#160;<span class="comment">// Disabling interrupts</span></div><div class="line"><a name="l00636"></a><span class="lineno">  636</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#afdd1b2485ec7068dc90d46f4f666a616">kmTimer3DisableInterruptsAll</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00637"></a><span class="lineno">  637</span>&#160;</div><div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a06e1af96a67a7174a507d4d03377f7b4">kmTimer3DisableInterruptOVF</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00642"></a><span class="lineno">  642</span>&#160;</div><div class="line"><a name="l00646"></a><span class="lineno">  646</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a421378b0eaed2fc692dbee3f37be221c">kmTimer3DisableInterruptCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00647"></a><span class="lineno">  647</span>&#160;</div><div class="line"><a name="l00651"></a><span class="lineno">  651</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a4cdab27515cb251ce7bbe746037b448b">kmTimer3DisableInterruptCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00652"></a><span class="lineno">  652</span>&#160;</div><div class="line"><a name="l00653"></a><span class="lineno">  653</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00654"></a><span class="lineno">  654</span>&#160;</div><div class="line"><a name="l00657"></a><span class="lineno">  657</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#af31cbffc332e5efff4acdcc242d9c1d7">kmTimer3DisableInterruptCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00658"></a><span class="lineno">  658</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00659"></a><span class="lineno">  659</span>&#160;</div><div class="line"><a name="l00674"></a><span class="lineno">  674</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a0db1d59d3674289e15a3fcd219a9cbbb">kmTimer3SetValueOvf</a>(uint16_t value);</div><div class="line"><a name="l00675"></a><span class="lineno">  675</span>&#160;</div><div class="line"><a name="l00676"></a><span class="lineno">  676</span>&#160;<span class="comment">// Configuration of Comparator Outputs</span></div><div class="line"><a name="l00682"></a><span class="lineno">  682</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a7d06b2f8e630ed7b652c7ca0ddc4b17b">kmTimer3ConfigureOCA</a>(uint8_t compareOutputMode);</div><div class="line"><a name="l00683"></a><span class="lineno">  683</span>&#160;</div><div class="line"><a name="l00689"></a><span class="lineno">  689</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a98c4c190686307a3b9ffe57a8a3fbecb">kmTimer3ConfigureOCB</a>(uint8_t compareOutputMode);</div><div class="line"><a name="l00690"></a><span class="lineno">  690</span>&#160;</div><div class="line"><a name="l00696"></a><span class="lineno">  696</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#ae0acad9f68e9957a30d8c5b5899813b6">kmTimer3ConfigureOCC</a>(uint8_t compareOutputMode);</div><div class="line"><a name="l00697"></a><span class="lineno">  697</span>&#160;</div><div class="line"><a name="l00698"></a><span class="lineno">  698</span>&#160;<span class="comment">// Controlling timer flow</span></div><div class="line"><a name="l00702"></a><span class="lineno">  702</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a42e540ff14987ae76411a10405f35346">kmTimer3Start</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00703"></a><span class="lineno">  703</span>&#160;</div><div class="line"><a name="l00707"></a><span class="lineno">  707</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a2d82d716b9ab10eceaad849e9ca574f1">kmTimer3Stop</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00708"></a><span class="lineno">  708</span>&#160;</div><div class="line"><a name="l00712"></a><span class="lineno">  712</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a23dc667ab276dd0aa7da85b6283c44bb">kmTimer3Restart</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00713"></a><span class="lineno">  713</span>&#160;</div><div class="line"><a name="l00714"></a><span class="lineno">  714</span>&#160;<span class="comment">// Controlling PWM</span></div><div class="line"><a name="l00722"></a><span class="lineno">  722</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a32385f32654f3e68593693a3ef157085">kmTimer3SetPwmDutyBottomToTop</a>(<a class="code" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8">Tcc3PwmOut</a> pwmOut, uint16_t duty);</div><div class="line"><a name="l00731"></a><span class="lineno">  731</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a4249a1031b729430515e58497a8cfddf">kmTimer3SetPwmDutyAccurateTimeModes</a>(uint16_t duty);</div><div class="line"><a name="l00732"></a><span class="lineno">  732</span>&#160;</div><div class="line"><a name="l00738"></a><span class="lineno">  738</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a88ab05e9d6743386030ea98cff80a5e6">kmTimer3SetPwmInversion</a>(<a class="code" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8">Tcc3PwmOut</a> pwmOut, <span class="keywordtype">bool</span> inverted);</div><div class="line"><a name="l00739"></a><span class="lineno">  739</span>&#160;</div><div class="line"><a name="l00740"></a><span class="lineno">  740</span>&#160;<span class="comment">// Timer flow calculations</span></div><div class="line"><a name="l00751"></a><span class="lineno">  751</span>&#160;<span class="comment"></span>uint16_t <a class="code" href="km_timer3_8h.html#ac94bb89074b5d0183dc974aa1d21a7ff">kmTimer3CalcPerdiod</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler);</div><div class="line"><a name="l00752"></a><span class="lineno">  752</span>&#160;</div><div class="line"><a name="l00766"></a><span class="lineno">  766</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#aa2602e6eccf213b322b0ba91dd123386">kmTimer3CalcPerdiodWithMinPwmAccuracy</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler, <span class="keyword">const</span> uint16_t minimumCycleAcuracy);</div><div class="line"><a name="l00767"></a><span class="lineno">  767</span>&#160;</div><div class="line"><a name="l00775"></a><span class="lineno">  775</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#a253d1817ce93967032b8d69e848efd87">kmTimer3CalcDutyOnCycles</a>(uint16_t duty, uint16_t cyclesRange);</div><div class="line"><a name="l00776"></a><span class="lineno">  776</span>&#160;</div><div class="line"><a name="l00777"></a><span class="lineno">  777</span>&#160;</div><div class="line"><a name="l00791"></a><span class="lineno">  791</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#ae4973f4c97fc48acb5aa036d363bf007">kmTimer3GetValueOvf</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00792"></a><span class="lineno">  792</span>&#160;</div><div class="line"><a name="l00806"></a><span class="lineno">  806</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#a34f901853d9dcf3ff8f3cb04f59a2b7f">kmTimer3GetValueCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00807"></a><span class="lineno">  807</span>&#160;</div><div class="line"><a name="l00821"></a><span class="lineno">  821</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#a73f958019794dd6eb960ff4806850b38">kmTimer3GetValueCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00822"></a><span class="lineno">  822</span>&#160;</div><div class="line"><a name="l00823"></a><span class="lineno">  823</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00824"></a><span class="lineno">  824</span>&#160;</div><div class="line"><a name="l00837"></a><span class="lineno">  837</span>&#160;uint16_t <a class="code" href="km_timer3_8h.html#ab564f77271800142e459ead5195e90a9">kmTimer3GetValueCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00838"></a><span class="lineno">  838</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00839"></a><span class="lineno">  839</span>&#160;</div><div class="line"><a name="l00854"></a><span class="lineno">  854</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a0db1d59d3674289e15a3fcd219a9cbbb">kmTimer3SetValueOvf</a>(uint16_t value);</div><div class="line"><a name="l00855"></a><span class="lineno">  855</span>&#160;</div><div class="line"><a name="l00869"></a><span class="lineno">  869</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a921148434fdc51b9d6397ffe2e9b3e34">kmTimer3SetValueCompA</a>(uint16_t value);</div><div class="line"><a name="l00870"></a><span class="lineno">  870</span>&#160;</div><div class="line"><a name="l00884"></a><span class="lineno">  884</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a9e4e5d4d2faef07e61d2a197c4b3ff1f">kmTimer3SetValueCompB</a>(uint16_t value);</div><div class="line"><a name="l00885"></a><span class="lineno">  885</span>&#160;</div><div class="line"><a name="l00886"></a><span class="lineno">  886</span>&#160;<span class="preprocessor">#ifdef COM3C0</span></div><div class="line"><a name="l00887"></a><span class="lineno">  887</span>&#160;</div><div class="line"><a name="l00900"></a><span class="lineno">  900</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#ab0bf509394759261131e93de3a5815f4">kmTimer3SetValueCompC</a>(uint16_t value);</div><div class="line"><a name="l00901"></a><span class="lineno">  901</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM3C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00902"></a><span class="lineno">  902</span>&#160;</div><div class="line"><a name="l00923"></a><span class="lineno">  923</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="km_timer3_8h.html#a30feaf5d8943dd90bfd1c180bfda173d">kmTimer3InpCaputureGetState</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00924"></a><span class="lineno">  924</span>&#160;</div><div class="line"><a name="l00938"></a><span class="lineno">  938</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#ab8cb03666a99c8b0744f226a38927775">kmTimer3Init</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t modeA, <span class="keyword">const</span> uint8_t modeB);</div><div class="line"><a name="l00939"></a><span class="lineno">  939</span>&#160;</div><div class="line"><a name="l00945"></a><span class="lineno">  945</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a42e540ff14987ae76411a10405f35346">kmTimer3Start</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00946"></a><span class="lineno">  946</span>&#160;</div><div class="line"><a name="l00952"></a><span class="lineno">  952</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a2d82d716b9ab10eceaad849e9ca574f1">kmTimer3Stop</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00953"></a><span class="lineno">  953</span>&#160;</div><div class="line"><a name="l00959"></a><span class="lineno">  959</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer3_8h.html#a23dc667ab276dd0aa7da85b6283c44bb">kmTimer3Restart</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00960"></a><span class="lineno">  960</span>&#160;</div><div class="line"><a name="l00961"></a><span class="lineno">  961</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIMSK3 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00962"></a><span class="lineno">  962</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00963"></a><span class="lineno">  963</span>&#160;}</div><div class="line"><a name="l00964"></a><span class="lineno">  964</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/*  __cplusplus */</span><span class="preprocessor"></span></div><div class="line"><a name="l00965"></a><span class="lineno">  965</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* KM_TIMER_3_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="km_timer3_8h_html_a0db1d59d3674289e15a3fcd219a9cbbb"><div class="ttname"><a href="km_timer3_8h.html#a0db1d59d3674289e15a3fcd219a9cbbb">kmTimer3SetValueOvf</a></div><div class="ttdeci">void kmTimer3SetValueOvf(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 3 Overflow.</div></div>
<div class="ttc" id="km_timer3_8h_html_a6065e25955f954243d4f4cf787105fd8a76ebd51b704f85a1957665ab71990ed6"><div class="ttname"><a href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a76ebd51b704f85a1957665ab71990ed6">KM_TCC3_PWM_OUT_B</a></div><div class="ttdoc">PWM on output B.</div><div class="ttdef"><b>Definition:</b> kmTimer3.h:75</div></div>
<div class="ttc" id="km_timer3_8h_html_a0f757a748e40dd4cfa7eb4dcf01ee5d8"><div class="ttname"><a href="km_timer3_8h.html#a0f757a748e40dd4cfa7eb4dcf01ee5d8">kmTimer3InitOnAccuratePeriodGenerateOutputClockA</a></div><div class="ttdeci">void kmTimer3InitOnAccuratePeriodGenerateOutputClockA(const uint32_t periodInMicroseconds)</div></div>
<div class="ttc" id="km_timer3_8h_html_a408f0a62904c19cfac37ae3e7e171c2d"><div class="ttname"><a href="km_timer3_8h.html#a408f0a62904c19cfac37ae3e7e171c2d">kmTimer3SetCallbackUserDataCompA</a></div><div class="ttdeci">void kmTimer3SetCallbackUserDataCompA(void *userData)</div></div>
<div class="ttc" id="km_timer3_8h_html_a253d1817ce93967032b8d69e848efd87"><div class="ttname"><a href="km_timer3_8h.html#a253d1817ce93967032b8d69e848efd87">kmTimer3CalcDutyOnCycles</a></div><div class="ttdeci">uint16_t kmTimer3CalcDutyOnCycles(uint16_t duty, uint16_t cyclesRange)</div></div>
<div class="ttc" id="km_timer3_8h_html_ae0acad9f68e9957a30d8c5b5899813b6"><div class="ttname"><a href="km_timer3_8h.html#ae0acad9f68e9957a30d8c5b5899813b6">kmTimer3ConfigureOCC</a></div><div class="ttdeci">void kmTimer3ConfigureOCC(uint8_t compareOutputMode)</div></div>
<div class="ttc" id="km_timer3_8h_html_a921148434fdc51b9d6397ffe2e9b3e34"><div class="ttname"><a href="km_timer3_8h.html#a921148434fdc51b9d6397ffe2e9b3e34">kmTimer3SetValueCompA</a></div><div class="ttdeci">void kmTimer3SetValueCompA(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 3 Compare A.</div></div>
<div class="ttc" id="km_timer3_8h_html_af31cbffc332e5efff4acdcc242d9c1d7"><div class="ttname"><a href="km_timer3_8h.html#af31cbffc332e5efff4acdcc242d9c1d7">kmTimer3DisableInterruptCompC</a></div><div class="ttdeci">void kmTimer3DisableInterruptCompC(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_aba043e24e016ae3805373c40fbd98925"><div class="ttname"><a href="km_timer3_8h.html#aba043e24e016ae3805373c40fbd98925">kmTimer3EnableInterruptCompB</a></div><div class="ttdeci">void kmTimer3EnableInterruptCompB(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_a6065e25955f954243d4f4cf787105fd8"><div class="ttname"><a href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8">Tcc3PwmOut</a></div><div class="ttdeci">Tcc3PwmOut</div><div class="ttdef"><b>Definition:</b> kmTimer3.h:71</div></div>
<div class="ttc" id="km_timer3_8h_html_aa06e2eeefecccb08ba1cc21ac3fe1130"><div class="ttname"><a href="km_timer3_8h.html#aa06e2eeefecccb08ba1cc21ac3fe1130">kmTimer3InitInputCapture</a></div><div class="ttdeci">void kmTimer3InitInputCapture(const uint32_t iddleTimeMicroseconds, void *iddleUserData, kmTimer3CallbackType *iddleCallback, void *inpCaptureUserData, kmTimer3InpCaptureCallbackType *inpCaptureCallback)</div><div class="ttdoc">Initializes Timer/Counter 3 for input capture with specified parameters.</div></div>
<div class="ttc" id="km_timer3_8h_html_af1c6c404594c2ef0c4ba309851908131"><div class="ttname"><a href="km_timer3_8h.html#af1c6c404594c2ef0c4ba309851908131">kmTimer3SetCallbackUserDataCompB</a></div><div class="ttdeci">void kmTimer3SetCallbackUserDataCompB(void *userData)</div></div>
<div class="ttc" id="km_timer3_8h_html_a73f958019794dd6eb960ff4806850b38"><div class="ttname"><a href="km_timer3_8h.html#a73f958019794dd6eb960ff4806850b38">kmTimer3GetValueCompB</a></div><div class="ttdeci">uint16_t kmTimer3GetValueCompB(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 3 Compare B.</div></div>
<div class="ttc" id="km_timer3_8h_html_a4249a1031b729430515e58497a8cfddf"><div class="ttname"><a href="km_timer3_8h.html#a4249a1031b729430515e58497a8cfddf">kmTimer3SetPwmDutyAccurateTimeModes</a></div><div class="ttdeci">void kmTimer3SetPwmDutyAccurateTimeModes(uint16_t duty)</div></div>
<div class="ttc" id="km_timer3_8h_html_abf76f8f4654946467f7eb560311ed8ae"><div class="ttname"><a href="km_timer3_8h.html#abf76f8f4654946467f7eb560311ed8ae">kmTimer3RegisterCallbackOVF</a></div><div class="ttdeci">void kmTimer3RegisterCallbackOVF(void *userData, kmTimer3CallbackType *callback)</div></div>
<div class="ttc" id="km_timer3_8h_html_a98c4c190686307a3b9ffe57a8a3fbecb"><div class="ttname"><a href="km_timer3_8h.html#a98c4c190686307a3b9ffe57a8a3fbecb">kmTimer3ConfigureOCB</a></div><div class="ttdeci">void kmTimer3ConfigureOCB(uint8_t compareOutputMode)</div></div>
<div class="ttc" id="km_timer3_8h_html_a06e1af96a67a7174a507d4d03377f7b4"><div class="ttname"><a href="km_timer3_8h.html#a06e1af96a67a7174a507d4d03377f7b4">kmTimer3DisableInterruptOVF</a></div><div class="ttdeci">void kmTimer3DisableInterruptOVF(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_a732907d4378591e4bc28bebfa19a42a6"><div class="ttname"><a href="km_timer3_8h.html#a732907d4378591e4bc28bebfa19a42a6">kmTimer3SetCallbackUserDataCompC</a></div><div class="ttdeci">void kmTimer3SetCallbackUserDataCompC(void *userData)</div></div>
<div class="ttc" id="km_timer3_8h_html_a6065e25955f954243d4f4cf787105fd8a8a2ba64c57c476365921a3a43f5076a4"><div class="ttname"><a href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a8a2ba64c57c476365921a3a43f5076a4">KM_TCC3_PWM_OUT_C</a></div><div class="ttdoc">PWM on output C.</div><div class="ttdef"><b>Definition:</b> kmTimer3.h:78</div></div>
<div class="ttc" id="km_timer3_8h_html_a4e33120bb89361af7b7f99f43acb3bb2"><div class="ttname"><a href="km_timer3_8h.html#a4e33120bb89361af7b7f99f43acb3bb2">kmTimer3RegisterCallbackInpCapture</a></div><div class="ttdeci">void kmTimer3RegisterCallbackInpCapture(void *userData, kmTimer3InpCaptureCallbackType *callback)</div></div>
<div class="ttc" id="km_timer3_8h_html_ab8cb03666a99c8b0744f226a38927775"><div class="ttname"><a href="km_timer3_8h.html#ab8cb03666a99c8b0744f226a38927775">kmTimer3Init</a></div><div class="ttdeci">void kmTimer3Init(const uint8_t prescaler, const uint8_t modeA, const uint8_t modeB)</div><div class="ttdoc">Initializes Timer 3 with the specified prescaler and modes.</div></div>
<div class="ttc" id="km_timer3_8h_html_ae4973f4c97fc48acb5aa036d363bf007"><div class="ttname"><a href="km_timer3_8h.html#ae4973f4c97fc48acb5aa036d363bf007">kmTimer3GetValueOvf</a></div><div class="ttdeci">uint16_t kmTimer3GetValueOvf(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 3 Overflow.</div></div>
<div class="ttc" id="km_timer3_8h_html_af038f515dc00a481348a1c12569d92cd"><div class="ttname"><a href="km_timer3_8h.html#af038f515dc00a481348a1c12569d92cd">kmTimer3InpCaptureCallbackType</a></div><div class="ttdeci">void kmTimer3InpCaptureCallbackType(uint16_t, bool, void *)</div><div class="ttdef"><b>Definition:</b> kmTimer3.h:66</div></div>
<div class="ttc" id="km_timer3_8h_html_a05ac01f6edfc3cd077b3fb65d3ca5064"><div class="ttname"><a href="km_timer3_8h.html#a05ac01f6edfc3cd077b3fb65d3ca5064">kmTimer3InitOnAccurateTimeCompAInterruptCallback</a></div><div class="ttdeci">void kmTimer3InitOnAccurateTimeCompAInterruptCallback(const uint32_t microseconds, const bool outOnOC3A)</div></div>
<div class="ttc" id="km_timer3_8h_html_a236f332870d4621aeeab3ca3df8c4837"><div class="ttname"><a href="km_timer3_8h.html#a236f332870d4621aeeab3ca3df8c4837">kmTimer3RegisterCallbackCompA</a></div><div class="ttdeci">void kmTimer3RegisterCallbackCompA(void *userData, kmTimer3CallbackType *callback)</div></div>
<div class="ttc" id="km_timer3_8h_html_ab0bf509394759261131e93de3a5815f4"><div class="ttname"><a href="km_timer3_8h.html#ab0bf509394759261131e93de3a5815f4">kmTimer3SetValueCompC</a></div><div class="ttdeci">void kmTimer3SetValueCompC(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 3 Compare C.</div></div>
<div class="ttc" id="km_timer3_8h_html_a421378b0eaed2fc692dbee3f37be221c"><div class="ttname"><a href="km_timer3_8h.html#a421378b0eaed2fc692dbee3f37be221c">kmTimer3DisableInterruptCompA</a></div><div class="ttdeci">void kmTimer3DisableInterruptCompA(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_afdd1b2485ec7068dc90d46f4f666a616"><div class="ttname"><a href="km_timer3_8h.html#afdd1b2485ec7068dc90d46f4f666a616">kmTimer3DisableInterruptsAll</a></div><div class="ttdeci">void kmTimer3DisableInterruptsAll(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_a88ab05e9d6743386030ea98cff80a5e6"><div class="ttname"><a href="km_timer3_8h.html#a88ab05e9d6743386030ea98cff80a5e6">kmTimer3SetPwmInversion</a></div><div class="ttdeci">void kmTimer3SetPwmInversion(Tcc3PwmOut pwmOut, bool inverted)</div></div>
<div class="ttc" id="km_timer3_8h_html_a7069d4889b4893af07c28ae25bdaff28"><div class="ttname"><a href="km_timer3_8h.html#a7069d4889b4893af07c28ae25bdaff28">kmTimer3InitExternal</a></div><div class="ttdeci">void kmTimer3InitExternal(bool falling)</div></div>
<div class="ttc" id="km_timer3_8h_html_a2d82d716b9ab10eceaad849e9ca574f1"><div class="ttname"><a href="km_timer3_8h.html#a2d82d716b9ab10eceaad849e9ca574f1">kmTimer3Stop</a></div><div class="ttdeci">void kmTimer3Stop(void)</div><div class="ttdoc">Stops Timer 3.</div></div>
<div class="ttc" id="km_timer3_8h_html_a7d06b2f8e630ed7b652c7ca0ddc4b17b"><div class="ttname"><a href="km_timer3_8h.html#a7d06b2f8e630ed7b652c7ca0ddc4b17b">kmTimer3ConfigureOCA</a></div><div class="ttdeci">void kmTimer3ConfigureOCA(uint8_t compareOutputMode)</div></div>
<div class="ttc" id="km_timer3_8h_html_a9e4e5d4d2faef07e61d2a197c4b3ff1f"><div class="ttname"><a href="km_timer3_8h.html#a9e4e5d4d2faef07e61d2a197c4b3ff1f">kmTimer3SetValueCompB</a></div><div class="ttdeci">void kmTimer3SetValueCompB(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 3 Compare B.</div></div>
<div class="ttc" id="km_timer3_8h_html_acd14889cffb2e47708ce2c86f7dcf995"><div class="ttname"><a href="km_timer3_8h.html#acd14889cffb2e47708ce2c86f7dcf995">kmTimer3UnregisterCallbackInpCapture</a></div><div class="ttdeci">void kmTimer3UnregisterCallbackInpCapture(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_a18c5518e8b329f985f5c7d39196b2ba9"><div class="ttname"><a href="km_timer3_8h.html#a18c5518e8b329f985f5c7d39196b2ba9">kmTimer3InitOnPrescalerBottomToTopFastPwm</a></div><div class="ttdeci">void kmTimer3InitOnPrescalerBottomToTopFastPwm(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer3_8h_html_a34f901853d9dcf3ff8f3cb04f59a2b7f"><div class="ttname"><a href="km_timer3_8h.html#a34f901853d9dcf3ff8f3cb04f59a2b7f">kmTimer3GetValueCompA</a></div><div class="ttdeci">uint16_t kmTimer3GetValueCompA(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 3 Compare A.</div></div>
<div class="ttc" id="km_timer3_8h_html_a23dc667ab276dd0aa7da85b6283c44bb"><div class="ttname"><a href="km_timer3_8h.html#a23dc667ab276dd0aa7da85b6283c44bb">kmTimer3Restart</a></div><div class="ttdeci">void kmTimer3Restart(void)</div><div class="ttdoc">Restarts Timer 4 by resetting its counter value to zero.</div></div>
<div class="ttc" id="km_timer3_8h_html_a6065e25955f954243d4f4cf787105fd8a887a240a79ffd3a7ce3a20a394463814"><div class="ttname"><a href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a887a240a79ffd3a7ce3a20a394463814">KM_TCC3_PWM_OUT_A</a></div><div class="ttdoc">PWM on output A.</div><div class="ttdef"><b>Definition:</b> kmTimer3.h:73</div></div>
<div class="ttc" id="km_timer3_8h_html_ae1ee7982d176020390f48e083d6ebd22"><div class="ttname"><a href="km_timer3_8h.html#ae1ee7982d176020390f48e083d6ebd22">kmTimer3UnregisterCallbackCompB</a></div><div class="ttdeci">void kmTimer3UnregisterCallbackCompB(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_aa2602e6eccf213b322b0ba91dd123386"><div class="ttname"><a href="km_timer3_8h.html#aa2602e6eccf213b322b0ba91dd123386">kmTimer3CalcPerdiodWithMinPwmAccuracy</a></div><div class="ttdeci">uint16_t kmTimer3CalcPerdiodWithMinPwmAccuracy(const uint32_t microseconds, uint8_t *prescaler, const uint16_t minimumCycleAcuracy)</div></div>
<div class="ttc" id="km_timer3_8h_html_aa07ad3b23b1ff563cdf29538379c0db6"><div class="ttname"><a href="km_timer3_8h.html#aa07ad3b23b1ff563cdf29538379c0db6">kmTimer3InitOnPrescalerBottomToTopOvfCompABCInterruptCallback</a></div><div class="ttdeci">void kmTimer3InitOnPrescalerBottomToTopOvfCompABCInterruptCallback(const uint8_t prescaler)</div><div class="ttdoc">Initializes Timer 3 in a mode allowing the use of CompA, CompB, CompC, and Overflow Interrupts launch...</div></div>
<div class="ttc" id="km_timer3_8h_html_ac94bb89074b5d0183dc974aa1d21a7ff"><div class="ttname"><a href="km_timer3_8h.html#ac94bb89074b5d0183dc974aa1d21a7ff">kmTimer3CalcPerdiod</a></div><div class="ttdeci">uint16_t kmTimer3CalcPerdiod(const uint32_t microseconds, uint8_t *prescaler)</div></div>
<div class="ttc" id="km_timer3_8h_html_a32385f32654f3e68593693a3ef157085"><div class="ttname"><a href="km_timer3_8h.html#a32385f32654f3e68593693a3ef157085">kmTimer3SetPwmDutyBottomToTop</a></div><div class="ttdeci">void kmTimer3SetPwmDutyBottomToTop(Tcc3PwmOut pwmOut, uint16_t duty)</div></div>
<div class="ttc" id="km_timer3_8h_html_a56bbb4f1f7dc35b8a5bb56d8d183411e"><div class="ttname"><a href="km_timer3_8h.html#a56bbb4f1f7dc35b8a5bb56d8d183411e">kmTimer3EnableInterruptCompA</a></div><div class="ttdeci">void kmTimer3EnableInterruptCompA(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_aad85ca4e2a5ddde776395d12c9912e01"><div class="ttname"><a href="km_timer3_8h.html#aad85ca4e2a5ddde776395d12c9912e01">kmTimer3UnregisterCallbackOVF</a></div><div class="ttdeci">void kmTimer3UnregisterCallbackOVF(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_a032f7886b471684501608a012a580b04"><div class="ttname"><a href="km_timer3_8h.html#a032f7886b471684501608a012a580b04">kmTimer3EnableInterruptInpCapture</a></div><div class="ttdeci">void kmTimer3EnableInterruptInpCapture(void)</div><div class="ttdoc">Enables Timer/Counter 3 Input Capture Interrupt.</div></div>
<div class="ttc" id="km_timer3_8h_html_af4e7af6f8b83a3cf8a5712d69c0e666e"><div class="ttname"><a href="km_timer3_8h.html#af4e7af6f8b83a3cf8a5712d69c0e666e">kmTimer3UnregisterCallbackCompC</a></div><div class="ttdeci">void kmTimer3UnregisterCallbackCompC(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_ad36f5f46aceb910a5474f0c3c1592ea9"><div class="ttname"><a href="km_timer3_8h.html#ad36f5f46aceb910a5474f0c3c1592ea9">kmTimer3UnregisterCallbackCompA</a></div><div class="ttdeci">void kmTimer3UnregisterCallbackCompA(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_a81c0e5c15529fb5c1fcee915f4b6db57"><div class="ttname"><a href="km_timer3_8h.html#a81c0e5c15529fb5c1fcee915f4b6db57">kmTimer3InitOnPrescalerBottomToTopPcPwm</a></div><div class="ttdeci">void kmTimer3InitOnPrescalerBottomToTopPcPwm(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer3_8h_html_ab3ccff09f251e76300c5413133dc3f2f"><div class="ttname"><a href="km_timer3_8h.html#ab3ccff09f251e76300c5413133dc3f2f">kmTimer3InitOnAccurateTimePcPwm</a></div><div class="ttdeci">uint16_t kmTimer3InitOnAccurateTimePcPwm(const uint32_t microseconds, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer3_8h_html_a089e902646423f7092bb46009c047e63"><div class="ttname"><a href="km_timer3_8h.html#a089e902646423f7092bb46009c047e63">kmTimer3InitOnAccurateTimeCompABInterruptCallback</a></div><div class="ttdeci">void kmTimer3InitOnAccurateTimeCompABInterruptCallback(const uint32_t microseconds, uint16_t phaseIntB)</div></div>
<div class="ttc" id="km_timer3_8h_html_a1668cae52ed686f40c66a11eb50e4ca9"><div class="ttname"><a href="km_timer3_8h.html#a1668cae52ed686f40c66a11eb50e4ca9">kmTimer3EnableInterruptOVF</a></div><div class="ttdeci">void kmTimer3EnableInterruptOVF(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_ab564f77271800142e459ead5195e90a9"><div class="ttname"><a href="km_timer3_8h.html#ab564f77271800142e459ead5195e90a9">kmTimer3GetValueCompC</a></div><div class="ttdeci">uint16_t kmTimer3GetValueCompC(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 3 Compare C.</div></div>
<div class="ttc" id="km_timer3_8h_html_a4cdab27515cb251ce7bbe746037b448b"><div class="ttname"><a href="km_timer3_8h.html#a4cdab27515cb251ce7bbe746037b448b">kmTimer3DisableInterruptCompB</a></div><div class="ttdeci">void kmTimer3DisableInterruptCompB(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_a30feaf5d8943dd90bfd1c180bfda173d"><div class="ttname"><a href="km_timer3_8h.html#a30feaf5d8943dd90bfd1c180bfda173d">kmTimer3InpCaputureGetState</a></div><div class="ttdeci">bool kmTimer3InpCaputureGetState(void)</div><div class="ttdoc">Gets the state of Timer/Counter 3 Input Capture pin.</div></div>
<div class="ttc" id="km_timer3_8h_html_a20c4cb8b4342edb5e7da959274f3d5a0"><div class="ttname"><a href="km_timer3_8h.html#a20c4cb8b4342edb5e7da959274f3d5a0">kmTimer3SetCallbackUserDataOVF</a></div><div class="ttdeci">void kmTimer3SetCallbackUserDataOVF(void *userData)</div></div>
<div class="ttc" id="km_timer3_8h_html_a42e540ff14987ae76411a10405f35346"><div class="ttname"><a href="km_timer3_8h.html#a42e540ff14987ae76411a10405f35346">kmTimer3Start</a></div><div class="ttdeci">void kmTimer3Start(void)</div><div class="ttdoc">Starts Timer 3 with the previously configured prescaler.</div></div>
<div class="ttc" id="km_timer3_8h_html_af008feac2f0cac867798b6ee7fc07bab"><div class="ttname"><a href="km_timer3_8h.html#af008feac2f0cac867798b6ee7fc07bab">kmTimer3RegisterCallbackCompC</a></div><div class="ttdeci">void kmTimer3RegisterCallbackCompC(void *userData, kmTimer3CallbackType *callback)</div></div>
<div class="ttc" id="km_timer3_8h_html_a9661bc4bf969a0a83e5b7c899e002814"><div class="ttname"><a href="km_timer3_8h.html#a9661bc4bf969a0a83e5b7c899e002814">kmTimer3EnableInterruptCompC</a></div><div class="ttdeci">void kmTimer3EnableInterruptCompC(void)</div></div>
<div class="ttc" id="km_timer3_8h_html_ae79d03e778e20f76152f7c5a26cfe437"><div class="ttname"><a href="km_timer3_8h.html#ae79d03e778e20f76152f7c5a26cfe437">kmTimer3InitOnAccurateTimeFastPwm</a></div><div class="ttdeci">uint16_t kmTimer3InitOnAccurateTimeFastPwm(const uint32_t microseconds, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer3_8h_html_ae6fa20e042fd11f332ffdee7ea7d8900"><div class="ttname"><a href="km_timer3_8h.html#ae6fa20e042fd11f332ffdee7ea7d8900">kmTimer3RegisterCallbackCompB</a></div><div class="ttdeci">void kmTimer3RegisterCallbackCompB(void *userData, kmTimer3CallbackType *callback)</div></div>
<div class="ttc" id="km_timer3_8h_html_af10d794eb2ba4bf1561559b3689f132c"><div class="ttname"><a href="km_timer3_8h.html#af10d794eb2ba4bf1561559b3689f132c">kmTimer3CallbackType</a></div><div class="ttdeci">void kmTimer3CallbackType(void *)</div><div class="ttdef"><b>Definition:</b> kmTimer3.h:59</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer3_8h.html">kmTimer3.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.15 </li>
  </ul>
</div>
</body>
</html>
